CurrentDateHelper
Date: 2014-06-07

gr.zeus.util

## Class CurrentDateHelper

- java.lang.Object
- - gr.zeus.util.CurrentDateHelper

-     public final class CurrentDateHelper
      extends java.lang.Object

  Helper methods for current date and time.

  Since:
    1.0
  Author:
    Gregory Kotsaftis

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CurrentDateHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.Date` | `getCurrentDate()` Gets the current date.
    `static long` | `getCurrentDateLong()` Gets the current date in long number format.
    `static int` | `getCurrentDay()` Gets the current day in the month (1...31).
    `static int` | `getCurrentHour()` Gets the current hour in 24 hours format.
    `static int` | `getCurrentMinutes()` Gets the current minutes in hour.
    `static int` | `getCurrentMonth()` Gets the current month, JANUARY = 1,......,DECEMBER = 12.
    `static int` | `getCurrentSeconds()` Gets the current seconds in hour.
    `static int` | `getCurrentYear()` Gets the current year, e.g.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CurrentDateHelper

          public CurrentDateHelper()

  - ### Method Detail

    - #### getCurrentDate

          public static java.util.Date getCurrentDate()

      Gets the current date.

      Returns:
        The current date in `java.util.Date` object.

    - #### getCurrentDateLong

          public static long getCurrentDateLong()

      Gets the current date in long number format.

      Returns:
        The current date in long number format.

    - #### getCurrentYear

          public static int getCurrentYear()

      Gets the current year, e.g. 2004.

      Returns:
        The current year.

    - #### getCurrentMonth

          public static int getCurrentMonth()

      Gets the current month, JANUARY = 1,......,DECEMBER = 12.

      Returns:
        The current month.

    - #### getCurrentDay

          public static int getCurrentDay()

      Gets the current day in the month (1...31).

      Returns:
        The current day in a month.

    - #### getCurrentHour

          public static int getCurrentHour()

      Gets the current hour in 24 hours format.

      Returns:
        The current hour in 24 hours format.

    - #### getCurrentMinutes

          public static int getCurrentMinutes()

      Gets the current minutes in hour.

      Returns:
        The current minutes in hour.

    - #### getCurrentSeconds

          public static int getCurrentSeconds()

      Gets the current seconds in hour.

      Returns:
        The current seconds in hour.